#data-container {
    min-width: 80%;
    max-width: 100%;
    padding-bottom: 5px;
}

.filter-container {
    display: flex;
    justify-content: space-evenly;
    max-width: 1500px;
    margin-left: auto;
    margin-right: auto;
    background-color: #333;
    padding: 20px;
    border-radius: 12px;
    flex-wrap: wrap;
    row-gap: 4px;
}

.filter-container>*:not(:last-child) {
    margin-right: 10px;
}

.filter-container button {
    flex: 1 1 10px;
    background-color: darkcyan;
    border: 0;
    border-radius: 8px;
    margin-right: 15px;
    margin-left: 32px;
}

.filter-container input, .filter-container select{
    flex: 1 1 200px;
    padding: 10px 15px;
    font-size: 16px;
    border: 2px rgba(0, 139, 139, 0.5) solid;
    border-radius: 8px;
    transition: border-color 0.3s ease;
    background-color: transparent;
    color: white;
    min-width: 0;
    margin-left: 15px;
    margin-right: 15px;
}

.filter-container input:focus, .filter-container select:focus{
    outline: none;
    border-color: darkcyan;
    /*background-color: rgba(0, 139, 139, 0.1)*/
}

.filter-container button:active {
    background-color: rgba(0, 139, 139, 0.5);
}

.num {
    margin-top: 16px;
    margin-bottom: 16px;
    padding: 1px;
    padding-left: 12px;
    padding-right: 12px;
    max-width: fit-content;
    margin-left: auto;
    margin-right: auto;
    background-color: #333;
    border-radius: 8px;
}

.num p {
    margin: 0;
}

table {
    border-collapse: separate;
    border-spacing: 0;
    border: 1px solid rgb(100, 100, 100);
    border-radius: 12px;
    overflow: hidden;
    min-width: 85%;
    max-width: 100%;
    text-align: left;
}

/*Linee verticali*/
th:not(:last-child), td:not(:last-child) {
    border-right: 1px solid rgb(100, 100, 100);
}
/*Linee orizzontali*/
tr:not(:last-child) > th, tr:not(:last-child) > td {
    border-bottom: 1px solid rgb(100, 100, 100);
}
th {
    background-color: darkcyan;
    padding: .7vw;
}
td {
    padding: .7vw;
}
tr.even {
    background-color: rgb(60, 60, 60);
}

@media (max-width: 768px) {
    .filter-container {
        flex-direction: column;
        padding: 12px;
        row-gap: 8px;
        box-sizing: border-box;
        width: calc(100% - 30px);
        margin-left: auto;
        margin-right: auto;
    }

    .filter-container input,
    .filter-container select,
    .filter-container button {
        flex: unset;
        width: 100%;
        box-sizing: border-box;
        margin: 0;
    }

    #data-container {
        overflow-x: scroll;
    }
    .mobile-hidden {
        display: none;
    }
}

button {
    background-color: rgb(60, 60, 60);
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    font-family: inherit;
    border: 1px solid #ccc;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

button:disabled {
    cursor: not-allowed;
}

a {
    color: orange;
}

input::placeholder {
    color: white;
}

h1 {
    margin-bottom: 14px;
}
h3 {
    margin-top: 14px;
}

/* Questo pezzo qui fixa il dropdown su alcuni browser*/
.filter-container select option {
    background-color: rgb(60, 60, 60);
    color: white;
}

footer {
    position: relative;
    bottom: 0;
	left: 0;
    width: 100%;
}